de.dhbwstuttgart.syntaxtree.operator

## Class ModuloOp

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.operator.Operator
    - - de.dhbwstuttgart.syntaxtree.operator.MulOp
      - - de.dhbwstuttgart.syntaxtree.operator.ModuloOp

- All Implemented Interfaces:
    IItemWithOffset

      public class ModuloOp
      extends MulOp

- - ### Field Summary

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuloOp(int offset, int variableLength)`

  - ### Method Summary

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.operator.MulOp

      `getOperatorTypes, getReturnTypes`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.operator.Operator

      `getChildren, getOffset, getVariableLength`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuloOp

          public ModuloOp(int offset,
                          int variableLength)